#include "request.h"

void status_line( char *string )
{
  int counter;
  char line_string[FILENAME_MAX];
  
  if ( !strcmp( string, "" ) )
    sprintf( line_string, "Line %ld/%ld of %s", (line->lineno)+curr_pos, num_pages, filename );

  for( counter = 0; counter < strlen( line_string ); counter++ )
      mvaddch( statusline, counter, line_string[counter] | A_REVERSE );

  if ( counter < screen_width )
    while( counter <= screen_width)
      mvaddch( statusline, counter++, 32 | A_REVERSE );
}





